// LiftControlDlg.h : header file
//

#if !defined(AFX_LIFTCONTROLDLG_H__083B6930_62C1_47BE_B7A8_7197CA747597__INCLUDED_)
#define AFX_LIFTCONTROLDLG_H__083B6930_62C1_47BE_B7A8_7197CA747597__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CLiftControlDlg dialog

class CLiftControlDlg : public CDialog
{
public:
	MySocket m_Socket;
	HANDLE m_hThread;
	CString m_MessageFromServer;

	int m_nShafts;
	int m_nLevels;
	int* m_ShaftPositions;
	int* m_ShaftRequests;
	int* m_ShaftDirections;
	int* m_ShaftSpeed;
	int* m_DoorsOpen;
	int* m_DoorsBlocked;

	int m_MaxSpeed;
	int m_MaxAcceleration;
	int m_LevelHeight;
	int m_MaxDev;

	void ProcessMessageFromServer();
	void ProcessMessageFromServerWorker();
	void SendMessageToServer(CString msg);
// Construction
public:
	CLiftControlDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CLiftControlDlg)
	enum { IDD = IDD_LIFTCONTROL_DIALOG };
	CListCtrl	m_ServerData;
	CString	m_ServerAddress;
	int		m_ServerPort;
	CString	m_Command;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLiftControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLiftControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnSend();
	afx_msg void OnChangeCommand();
	afx_msg void OnOpenall();
	afx_msg void OnCloseall();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LIFTCONTROLDLG_H__083B6930_62C1_47BE_B7A8_7197CA747597__INCLUDED_)
